about summary refs log tree commit diff
path: root/scripts
diff options
context:
space:
mode:
authorGuillaume Maudoux <layus.on@gmail.com>2016-11-25T14·48+0100
committerDomen Kožar <domen@dev.si>2016-11-25T14·48+0100
commitf78126bfd6b6c8477fcdbc09b2f98772dbe9a1e7 (patch)
tree23a76a33f21ce39184bcbdcd28cb937d15968ce7 /scripts
parent7ee43df8622cc0589d54248fb44cebe1c1d991d2 (diff)
Get rid of unicode quotes (#1140)
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/build-remote.pl.in6
-rw-r--r--scripts/install-nix-from-closure.sh4
-rwxr-xr-xscripts/nix-copy-closure.in6
3 files changed, 8 insertions, 8 deletions
diff --git a/scripts/build-remote.pl.in b/scripts/build-remote.pl.in
index b5fc629eb499..62e517f06c07 100755
--- a/scripts/build-remote.pl.in
+++ b/scripts/build-remote.pl.in
@@ -209,7 +209,7 @@ REQ: while (1) {
         };
         last REQ unless $@;
         print STDERR "$@";
-        warn "unable to open SSH connection to ‘$hostName’, trying other available machines...\n";
+        warn "unable to open SSH connection to '$hostName', trying other available machines...\n";
         $from = undef;
         $to = undef;
         $machine->{enabled} = 0;
@@ -251,7 +251,7 @@ close UPLOADLOCK;
 
 
 # Perform the build.
-print STDERR "building ‘$drvPath’ on ‘$hostName’\n";
+print STDERR "building '$drvPath' on '$hostName'\n";
 writeInt(6, $to) or die; # == cmdBuildPaths
 writeStrings([$drvPath], $to);
 writeInt($maxSilentTime, $to);
@@ -259,7 +259,7 @@ writeInt($buildTimeout, $to);
 my $res = readInt($from);
 if ($res != 0) {
     my $msg = decode("utf-8", readString($from));
-    print STDERR "error: $msg on ‘$hostName’\n";
+    print STDERR "error: $msg on '$hostName'\n";
     exit $res;
 }
 
diff --git a/scripts/install-nix-from-closure.sh b/scripts/install-nix-from-closure.sh
index fd38a4528cd7..2b1d1888bb50 100644
--- a/scripts/install-nix-from-closure.sh
+++ b/scripts/install-nix-from-closure.sh
@@ -27,13 +27,13 @@ if ! [ -e $dest ]; then
     cmd="mkdir -m 0755 $dest && chown $USER $dest"
     echo "directory $dest does not exist; creating it by running '$cmd' using sudo" >&2
     if ! sudo sh -c "$cmd"; then
-        echo "$0: please manually run ‘$cmd’ as root to create $dest" >&2
+        echo "$0: please manually run '$cmd' as root to create $dest" >&2
         exit 1
     fi
 fi
 
 if ! [ -w $dest ]; then
-    echo "$0: directory $dest exists, but is not writable by you. This could indicate that another user has already performed a single-user installation of Nix on this system. If you wish to enable multi-user support see http://nixos.org/nix/manual/#ssec-multi-user. If you wish to continue with a single-user install for $USER please run ‘chown -R $USER $dest’ as root." >&2
+    echo "$0: directory $dest exists, but is not writable by you. This could indicate that another user has already performed a single-user installation of Nix on this system. If you wish to enable multi-user support see http://nixos.org/nix/manual/#ssec-multi-user. If you wish to continue with a single-user install for $USER please run 'chown -R $USER $dest' as root." >&2
     exit 1
 fi
 
diff --git a/scripts/nix-copy-closure.in b/scripts/nix-copy-closure.in
index af1d30919263..24912c8dbb07 100755
--- a/scripts/nix-copy-closure.in
+++ b/scripts/nix-copy-closure.in
@@ -38,7 +38,7 @@ while (@ARGV) {
         exec "man nix-copy-closure" or die;
     }
     elsif ($arg eq "--gzip" || $arg eq "--bzip2" || $arg eq "--xz") {
-        warn "$0: ‘$arg’ is not implemented\n" if $arg ne "--gzip";
+        warn "$0: '$arg' is not implemented\n" if $arg ne "--gzip";
         push @globalSshOpts, "-C";
     }
     elsif ($arg eq "--from") {
@@ -51,7 +51,7 @@ while (@ARGV) {
         $includeOutputs = 1;
     }
     elsif ($arg eq "--show-progress") {
-        warn "$0: ‘$arg’ is not implemented\n";
+        warn "$0: '$arg' is not implemented\n";
     }
     elsif ($arg eq "--dry-run") {
         $dryRun = 1;
@@ -93,7 +93,7 @@ else { # Copy FROM the remote machine.
 
     # Export the store paths on the remote machine and import them locally.
     if (scalar @missing > 0) {
-        print STDERR "copying ", scalar @missing, " missing paths from ‘$sshHost’...\n";
+        print STDERR "copying ", scalar @missing, " missing paths from '$sshHost'...\n";
         writeInt(5, $to); # == cmdExportPaths
         writeInt(0, $to); # obsolete
         writeStrings(\@missing, $to);